## lammps 0~20120305.git5d7feb1

=== debian/changelog ===
lammps (0~20120305.git5d7feb1-1) unstable; urgency=low

  * [23cace5] Imported Upstream version 0~20120305.git5d7feb1
  * [c2d8e83] Enable auto-test.

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Mar 2012 20:03:14 +0100

lammps (0~20120228.git268a14f-1) unstable; urgency=low

  * Initial Release. (Closes: #610622).

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 25 Feb 2012 22:49:48 +0100

=== debian/rules ===
#!/usr/bin/make -f

export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot

%:
	dh $@ --parallel

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; make openmpi
	mv src/lmp_openmpi src/lammps
	chmod 644 examples/USER/sph/shock_tube/shock2d.lmp

override_dh_auto_test:
	mkdir test; cp examples/crack/* test/
	cd test; ./../src/lammps < in.crack || true
	rm -rf test
	mkdir test; cp examples/crack/* test/
	cd test; mpirun -np 2 ./../src/lammps < in.crack || true
	rm -rf test

## lammps 0~20120426.git67de404

=== debian/changelog ===
lammps (0~20120426.git67de404-1) unstable; urgency=low

  * [cf6ee1b] Disable mpirun-test on some platforms, where it crashes.
  * [b4a9875] Imported Upstream version 0~20120426.git67de404
  * [8abc62b] Enable additional modules before compiling. (Closes: #670547)

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 27 Apr 2012 00:04:27 +0200

## lammps 0~20120615.gite442279

=== src/Makefile ===
# LAMMPS multiple-machine Makefile

SHELL = /bin/bash
#.IGNORE:

# Definitions

ROOT =	lmp
EXE =	$(ROOT)_$@
SRC =	$(wildcard *.cpp)
INC =	$(wildcard *.h)
OBJ = 	$(SRC:.cpp=.o)

# Package variables

PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
	  kspace manybody mc meam molecule opt peri poems reax replica \
	  shock srd xtc

PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
	   user-cuda user-eff user-ewaldn user-omp user-molfile \
	   user-reaxc user-sph

PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-colvars \
	  user-cuda user-molfile

PACKALL = $(PACKAGE) $(PACKUSER)

PACKAGEUC = $(shell echo $(PACKAGE) | tr a-z A-Z)
PACKUSERUC = $(shell echo $(PACKUSER) | tr a-z A-Z)

YESDIR = $(shell echo $(@:yes-%=%) | tr a-z A-Z)
NODIR  = $(shell echo $(@:no-%=%) | tr a-z A-Z)

# List of all targets

help:
	@echo ''
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'
	@echo 'make tar                 lmp_src.tar.gz of src dir and packages'
	@echo 'make makelib             update Makefile.lib for library build'
	@echo 'make makelist            update Makefile.list used by old makes'
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package files'
	@echo ''
	@echo 'make machine             build LAMMPS where machine is one of:'
	@echo ''
	@files="`ls MAKE/Makefile.*`"; \
	  for file in $$files; do head -1 $$file; done
	@echo ''

# Build the code

.DEFAULT:
	@test -f MAKE/Makefile.$@
	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
	@$(SHELL) Make.sh style
	@cp -p *.cpp *.h Obj_$@
	@cp MAKE/Makefile.$@ Obj_$@/Makefile
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@cp Makefile.package Makefile.package.settings Obj_$@
	@cd Obj_$@; \
	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" \
	  "EXE = ../$(EXE)" ../$(EXE)
	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi

# Remove machine-specific object files

clean:
	@echo 'make clean-all           delete all object files'
	@echo 'make clean-machine       delete object files for one machine'

clean-all:
	rm -rf Obj_*

clean-%:
	rm -rf Obj_$(@:clean-%=%)

# Create a tarball of src dir and packages

tar:
	@cd STUBS; make clean
	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
	  src/Make* src/Package.sh src/MAKE src/*.cpp src/*.h src/STUBS \
	  $(patsubst %,src/%,$(PACKAGEUC)) $(patsubst %,src/%,$(PACKUSERUC)) \
          --exclude=*/.svn
	@cd STUBS; make
	@echo "Created $(ROOT)_src.tar.gz"

# Make MPI STUBS lib

stubs:
	@cd STUBS; make clean; make

# Update Makefile.lib and Makefile.list

makelib:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.lib

makelist:
	@$(SHELL) Make.sh style
	@$(SHELL) Make.sh Makefile.list

# Package management

package:
	@echo 'Standard packages:' $(PACKAGE)
	@echo ''
	@echo 'User-contributed packages:' $(PACKUSER)
	@echo ''
	@echo 'make package             list available packages'
	@echo 'make package-status      status of all packages'
	@echo 'make yes-package         install a single package in src dir'
	@echo 'make no-package          remove a single package from src dir'
	@echo 'make yes-all             install all packages in src dir'
	@echo 'make no-all              remove all packages from src dir'
	@echo 'make yes-standard        install all standard packages'
	@echo 'make no-standard         remove all standard packages'
	@echo 'make yes-user            install all user packages'
	@echo 'make no-user             remove all user packages'
	@echo 'make no-lib              remove all packages with external libs'
	@echo ''
	@echo 'make package-update      replace src files with package files'
	@echo 'make package-overwrite   replace package files with src files'
	@echo 'make package-diff        diff src files against package file'

yes-all:
	@for p in $(PACKALL); do $(MAKE) yes-$$p; done

no-all:
	@for p in $(PACKALL); do $(MAKE) no-$$p; done

yes-standard:
	@for p in $(PACKAGE); do $(MAKE) yes-$$p; done

no-standard:
	@for p in $(PACKAGE); do $(MAKE) no-$$p; done

yes-user:
	@for p in $(PACKUSER); do $(MAKE) yes-$$p; done

no-user:
	@for p in $(PACKUSER); do $(MAKE) no-$$p; done

no-lib:
	@for p in $(PACKLIB); do $(MAKE) no-$$p; done

yes-%:
	@if [ ! -e Makefile.package ]; \
	  then cp Makefile.package.empty Makefile.package; fi
	@if [ ! -e Makefile.package.settings ]; \
	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
	@if [ ! -e $(YESDIR) ]; then \
	  echo "Package $(@:yes-%=%) does not exist"; \
	else \
	  echo "Installing package $(@:yes-%=%)"; \
	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
	fi;

no-%:
	@if [ ! -e $(NODIR) ]; then \
	  echo "Package $(@:no-%=%) does not exist"; \
	else \
	  echo "Uninstalling package $(@:no-%=%)"; \
	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
        fi;

# status = list src files that differ from package files
# update = replace src files with newer package files
# overwrite = overwrite package files with newer src files
# diff = show differences between src and package files

package-status:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done

package-update:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done

package-overwrite:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p overwrite; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done

package-diff:
	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
	@echo ''
	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done

=== debian/changelog ===
lammps (0~20120615.gite442279-1) unstable; urgency=low

  * [de9ec1f] Imported Upstream version 0~20120615.gite442279
  * [864de63] Remove patch, applied by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 18 Jun 2012 20:34:59 +0200

=== debian/control ===
Source: lammps
Section: science
Priority: extra
Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, libfftw3-dev,
 libjpeg-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Homepage: http://lammps.sandia.gov/
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git

Package: lammps
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Recommends: lammps-doc, mpi-default-bin
Description: Molecular Dynamics Simulator.
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and 
 solid-state materials (metals, semiconductors) and coarse-grained or 
 mesoscopic systems. It can be used to model atoms or, more generically, as a 
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing 
 techniques and a spatial-decomposition of the simulation domain. The code is 
 designed to be easy to modify or extend with new functionality.

Package: lammps-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Molecular Dynamics Simulator. Documentation and examples.
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and 
 solid-state materials (metals, semiconductors) and coarse-grained or 
 mesoscopic systems. It can be used to model atoms or, more generically, as a 
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing 
 techniques and a spatial-decomposition of the simulation domain. The code is 
 designed to be easy to modify or extend with new functionality.

=== debian/rules ===
#!/usr/bin/make -f

export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot

disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

%:
	dh $@ --parallel

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; $(MAKE) yes-all; $(MAKE) no-lib; $(MAKE) openmpi
	mv src/lmp_openmpi src/lammps
	chmod 644 examples/USER/sph/shock_tube/shock2d.lmp

override_dh_auto_test:
	mkdir test; cp examples/crack/* test/
	cd test; ./../src/lammps < in.crack
	rm -rf test
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test; cp examples/crack/* test/
	cd test; mpirun -np 2 ./../src/lammps < in.crack
	rm -rf test
endif

## lammps 0~20121116.git9eeec79

=== src/Makefile ===
--- 
+++ 
@@ -15,11 +15,10 @@
 
 PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
 	  kspace manybody mc meam molecule opt peri poems reax replica \
-	  shock srd xtc
+	  rigid shock srd xtc
 
 PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-ewaldn user-omp user-molfile \
-	   user-reaxc user-sph
+	   user-cuda user-eff user-omp user-molfile user-reaxc user-sph
 
 PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-colvars \
 	  user-cuda user-molfile
@@ -38,9 +37,15 @@
 	@echo ''
 	@echo 'make clean-all           delete all object files'
 	@echo 'make clean-machine       delete object files for one machine'
-	@echo 'make tar                 lmp_src.tar.gz of src dir and packages'
-	@echo 'make makelib             update Makefile.lib for library build'
-	@echo 'make makelist            update Makefile.list used by old makes'
+	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
+	@echo 'make makelib             create Makefile.lib for static library build'
+	@echo 'make makeshlib           create Makefile.shlib for shared library build'
+	@echo 'make makelist            create Makefile.list used by old makes'
+	@echo 'make -f Makefile.lib machine      build LAMMPS as static library for machine'
+	@echo 'make -f Makefile.shlib machine    build LAMMPS as shared library for machine'
+	@echo 'make -f Makefile.list machine     build LAMMPS from explicit list of files'
+	@echo 'make stubs               build dummy MPI library in STUBS'
+	@echo 'make install-python      install LAMMPS wrapper in Python'
 	@echo ''
 	@echo 'make package             list available packages'
 	@echo 'make package-status      status of all packages'
@@ -78,7 +83,7 @@
 	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@cp Makefile.package Makefile.package.settings Obj_$@
 	@cd Obj_$@; \
-	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" \
+	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
 	  "EXE = ../$(EXE)" ../$(EXE)
 	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
@@ -105,20 +110,29 @@
 	@cd STUBS; make
 	@echo "Created $(ROOT)_src.tar.gz"
 
-# Make MPI STUBS lib
+# Make MPI STUBS library
 
 stubs:
 	@cd STUBS; make clean; make
 
-# Update Makefile.lib and Makefile.list
+# Create Makefile.lib, Makefile.shlib, and Makefile.list
 
 makelib:
 	@$(SHELL) Make.sh style
 	@$(SHELL) Make.sh Makefile.lib
 
+makeshlib:
+	@$(SHELL) Make.sh style
+	@$(SHELL) Make.sh Makefile.shlib
+
 makelist:
 	@$(SHELL) Make.sh style
 	@$(SHELL) Make.sh Makefile.list
+
+# install LAMMPS shared lib and Python wrapper for Python usage
+
+install-python:
+	@python ../python/install.py
 
 # Package management

=== debian/changelog ===
lammps (0~20121116.git9eeec79-1~exp1) experimental; urgency=low

  * [8b791e7] Update git_orig-script. Use more effective xz-compression.
  * [c4ee715] Imported Upstream version 0~20121116.git9eeec79
  * [e9300f9] Update patch.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Nov 2012 18:55:39 +0100

## lammps 0~20130503.gitd2adfba

=== src/Makefile ===
--- 
+++ 
@@ -13,15 +13,16 @@
 
 # Package variables
 
-PACKAGE = asphere class2 colloid dipole fld gpu granular kim \
+PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
 	  kspace manybody mc meam molecule opt peri poems reax replica \
-	  rigid shock srd xtc
+	  rigid shock srd voronoi xtc
 
 PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-omp user-molfile user-reaxc user-sph
-
-PACKLIB = gpu kim meam poems reax user-atc user-awpmd user-colvars \
-	  user-cuda user-molfile
+	   user-cuda user-eff user-omp user-molfile user-phonon \
+	   user-reaxc user-sph
+
+PACKLIB = gpu kim meam poems reax voronoi \
+	  user-atc user-awpmd user-colvars user-cuda user-molfile
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
@@ -37,6 +38,7 @@
 	@echo ''
 	@echo 'make clean-all           delete all object files'
 	@echo 'make clean-machine       delete object files for one machine'
+	@echo 'make purge               purge obsolete copies of package sources'
 	@echo 'make tar                 create lmp_src.tar.gz of src dir and packages'
 	@echo 'make makelib             create Makefile.lib for static library build'
 	@echo 'make makeshlib           create Makefile.shlib for shared library build'
@@ -75,7 +77,6 @@
 	@test -f MAKE/Makefile.$@
 	@if [ ! -d Obj_$@ ]; then mkdir Obj_$@; fi
 	@$(SHELL) Make.sh style
-	@cp -p *.cpp *.h Obj_$@
 	@cp MAKE/Makefile.$@ Obj_$@/Makefile
 	@if [ ! -e Makefile.package ]; \
 	  then cp Makefile.package.empty Makefile.package; fi
@@ -85,7 +86,6 @@
 	@cd Obj_$@; \
 	$(MAKE) $(MFLAGS) "OBJ = $(OBJ)" "INC = $(INC)" "SHFLAGS =" \
 	  "EXE = ../$(EXE)" ../$(EXE)
-	@if [ -d Obj_$@ ]; then cd Obj_$@; rm -f $(SRC) $(INC) Makefile*; fi
 
 # Remove machine-specific object files
 
@@ -98,6 +98,12 @@
 
 clean-%:
 	rm -rf Obj_$(@:clean-%=%)
+
+purge: Purge.list
+	@echo 'Purging obsolete and auto-generated source files'
+	@for f in `grep -v '#' Purge.list` ;		\
+	    do test -f $$f && rm $$f && echo $$f || : ;		\
+	done
 
 # Create a tarball of src dir and packages

=== debian/changelog ===
lammps (0~20130503.gitd2adfba-1) unstable; urgency=low

  * [4a7ac95] Imported Upstream version 0~20130503.gitd2adfba
  * [2f578c3] Minor description update.
  * [fdb3192] Use parallel build.
  * [afade40] Add doc-base file.

 -- Anton Gladky <gladk@debian.org>  Tue, 07 May 2013 21:27:12 +0200

lammps (0~20130201.gitdf9c707-1) experimental; urgency=low

  * [acf02f1] Imported Upstream version 0~20130201.gitdf9c707
  * [9477729] Add -fopenmp option to compilation flags.
  * [a422953] Use Standards-Version: 3.9.4. No changes.
  * [3b9caec] Remove obsolete DM-Upload-Allowed flag.
  * [84d264e] Remove parallel option due to high RAM-consumption.

 -- Anton Gladky <gladk@debian.org>  Sun, 03 Feb 2013 21:40:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Build-Depends: debhelper (>= 9), mpi-default-bin, mpi-default-dev, libfftw3-dev,
  libjpeg-dev
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladky.anton@gmail.com>
-DM-Upload-Allowed: yes
+Uploaders: Anton Gladky <gladk@debian.org>
 Homepage: http://lammps.sandia.gov/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git
 
 Package: lammps
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: lammps-doc, mpi-default-bin
-Description: Molecular Dynamics Simulator.
+Description: Molecular Dynamics Simulator
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
  Atomic/Molecular Massively Parallel Simulator.
  .
@@ -32,7 +31,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Section: doc
-Description: Molecular Dynamics Simulator. Documentation and examples.
+Description: Molecular Dynamics Simulator. Documentation and examples
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale 
  Atomic/Molecular Massively Parallel Simulator.
  .
@@ -44,3 +43,5 @@
  LAMMPS runs on single processors or in parallel using message-passing 
  techniques and a spatial-decomposition of the simulation domain. The code is 
  designed to be easy to modify or extend with new functionality.
+ .
+ The package contains documentation and examples.

## lammps 0~20131119.git7162cf0

=== src/Makefile ===
--- 
+++ 
@@ -14,12 +14,12 @@
 # Package variables
 
 PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
-	  kspace manybody mc meam molecule opt peri poems reax replica \
+	  kspace manybody mc meam misc molecule opt peri poems reax replica \
 	  rigid shock srd voronoi xtc
 
-PACKUSER = user-misc user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-omp user-molfile user-phonon \
-	   user-reaxc user-sph
+PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
+	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
+	   user-phonon user-reaxc user-sph
 
 PACKLIB = gpu kim meam poems reax voronoi \
 	  user-atc user-awpmd user-colvars user-cuda user-molfile
@@ -191,17 +191,27 @@
 	  then cp Makefile.package.settings.empty Makefile.package.settings; fi
 	@if [ ! -e $(YESDIR) ]; then \
 	  echo "Package $(@:yes-%=%) does not exist"; \
+	elif [ -e $(YESDIR)/Install.sh ]; then \
+	  echo "Installing package $(@:yes-%=%)"; \
+	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	else \
 	  echo "Installing package $(@:yes-%=%)"; \
-	  cd $(YESDIR); $(SHELL) Install.sh 1; cd ..; $(SHELL) Depend.sh 1; \
+	  cd $(YESDIR); $(SHELL) ../Install.sh 1; cd ..; \
+		$(SHELL) Depend.sh $(YESDIR) 1; \
 	fi;
 
 no-%:
 	@if [ ! -e $(NODIR) ]; then \
 	  echo "Package $(@:no-%=%) does not exist"; \
+	elif [ -e $(NODIR)/Install.sh ]; then \
+	  echo "Uninstalling package $(@:no-%=%)"; \
+	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
 	else \
 	  echo "Uninstalling package $(@:no-%=%)"; \
-	  cd $(NODIR); $(SHELL) Install.sh 0; cd ..; $(SHELL) Depend.sh 0; \
+	  cd $(NODIR); $(SHELL) ../Install.sh 0; cd ..; \
+		$(SHELL) Depend.sh $(NODIR) 0; \
         fi;
 
 # status = list src files that differ from package files

=== tools/lmp2arc/src/Makefile ===

OBJS = lmp2arc.o ReadCarFile.o ProcessPosFile01.o ProcessPosFile05.o unwrap_molecules.o WriteArcFrame.o

lmp2arc.exe: $(OBJS)
	gcc -o lmp2arc.exe $(OBJS)

lmp2arc.o: lmp2arc.c lmp2.h
ReadCarFile.o: ReadCarFile.c lmp2.h
ProcessPosFile01.o: ProcessPosFile01.c lmp2.h
ProcessPosFile05.o: ProcessPosFile05.c lmp2.h
WriteArcFrame.o: WriteArcFrame.c lmp2.h
unwrap_molecules.o: unwrap_molecules.c lmp2.h

.c.o:
	gcc -O2 -c $<

clean: 
	rm lmp2arc.exe *.o

=== tools/msi2lmp/src/Makefile ===

TARGET	 = msi2lmp.exe

SRCS     = msi2lmp.c \
           ReadCarFile.c \
           ReadMdfFile.c \
	   MakeLists.c \
           ReadFrcFile.c \
           InitializeItems.c \
	   SearchAndFill.c \
           GetParameters.c \
	   CheckLists.c \
           WriteDataFile.c

OBJS     = $(SRCS:.c=.o)

HEADERS  = msi2lmp.h Forcefield.h

CC       = gcc
CFLAGS   = -O -Wall -W -g 
FRCFILE  = cvff.frc
FRCFILE2 = cff91.frc
README   = README
MKFILE   = Makefile

$(TARGET) : $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) -lm

.c.o:
	$(CC) $(CFLAGS) -c $<
clean:
	rm -f $(OBJS) $(TARGET)

# dependencies
CheckLists.o: CheckLists.c msi2lmp.h
GetParameters.o: GetParameters.c msi2lmp.h Forcefield.h
InitializeItems.o: InitializeItems.c msi2lmp.h Forcefield.h
MakeLists.o: MakeLists.c msi2lmp.h
msi2lmp.o: msi2lmp.c msi2lmp.h
ReadCarFile.o: ReadCarFile.c msi2lmp.h
ReadFrcFile.o: ReadFrcFile.c msi2lmp.h Forcefield.h
ReadMdfFile.o: ReadMdfFile.c msi2lmp.h
SearchAndFill.o: SearchAndFill.c msi2lmp.h Forcefield.h
WriteDataFile.o: WriteDataFile.c msi2lmp.h Forcefield.h

=== debian/changelog ===
lammps (0~20131119.git7162cf0-1build1) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 16 Dec 2013 00:01:18 -0500

lammps (0~20131119.git7162cf0-1) unstable; urgency=low

  * [e65b919] Imported Upstream version 0~20131119.git7162cf0
  * [f7bddd4] Fix some problems, introduced by upstream recently.
  * [3616dfc] Use wrap-and-sort script.
  * [7e92030] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Wed, 20 Nov 2013 22:41:36 +0100

=== debian/control ===
Source: lammps
Section: science
Priority: extra
Build-Depends:
 debhelper (>= 9),
 libfftw3-dev,
 libjpeg-dev,
 mpi-default-bin,
 mpi-default-dev
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>
Homepage: http://lammps.sandia.gov/
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git

Package: lammps
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 lammps-doc,
 mpi-default-bin
Description: Molecular Dynamics Simulator
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and
 solid-state materials (metals, semiconductors) and coarse-grained or
 mesoscopic systems. It can be used to model atoms or, more generically, as a
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing
 techniques and a spatial-decomposition of the simulation domain. The code is
 designed to be easy to modify or extend with new functionality.

Package: lammps-doc
Architecture: all
Depends:
 ${misc:Depends}
Section: doc
Description: Molecular Dynamics Simulator. Documentation and examples
 LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale
 Atomic/Molecular Massively Parallel Simulator.
 .
 LAMMPS has potentials for soft materials (biomolecules, polymers) and
 solid-state materials (metals, semiconductors) and coarse-grained or
 mesoscopic systems. It can be used to model atoms or, more generically, as a
 parallel particle simulator at the atomic, meso, or continuum scale.
 .
 LAMMPS runs on single processors or in parallel using message-passing
 techniques and a spatial-decomposition of the simulation domain. The code is
 designed to be easy to modify or extend with new functionality.
 .
 The package contains documentation and examples.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export OMPI_MCA_plm_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
+export NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x
 
@@ -12,7 +13,7 @@
 	dh_clean
 
 override_dh_auto_build:
-	cd src; $(MAKE) yes-all; $(MAKE) no-lib; $(MAKE) openmpi
+	cd src; $(MAKE) -j$(NUMJOBS) yes-all; $(MAKE) -j$(NUMJOBS) no-lib; $(MAKE) -j$(NUMJOBS) openmpi
 	mv src/lmp_openmpi src/lammps
 	chmod 644 examples/USER/sph/shock_tube/shock2d.lmp

## lammps 0~20140523.gite5e877d

=== src/Makefile ===
--- 
+++ 
@@ -14,15 +14,15 @@
 # Package variables
 
 PACKAGE = asphere body class2 colloid dipole fld gpu granular kim \
-	  kspace manybody mc meam misc molecule opt peri poems reax replica \
-	  rigid shock srd voronoi xtc
+	  kspace manybody mc meam misc molecule mpiio opt peri poems \
+	  reax replica rigid shock srd voronoi xtc
 
 PACKUSER = user-atc user-awpmd user-cg-cmm user-colvars \
-	   user-cuda user-eff user-lb user-misc user-omp user-molfile \
-	   user-phonon user-reaxc user-sph
+	   user-cuda user-eff user-fep user-lb user-misc user-molfile \
+	   user-omp user-phonon user-qmmm user-reaxc user-sph
 
 PACKLIB = gpu kim meam poems reax voronoi \
-	  user-atc user-awpmd user-colvars user-cuda user-molfile
+	  user-atc user-awpmd user-colvars user-qmmm user-cuda user-molfile
 
 PACKALL = $(PACKAGE) $(PACKUSER)
 
@@ -50,7 +50,7 @@
 	@echo 'make install-python      install LAMMPS wrapper in Python'
 	@echo ''
 	@echo 'make package             list available packages'
-	@echo 'make package-status      status of all packages'
+	@echo 'make package-status (ps) status of all packages'
 	@echo 'make yes-package         install a single package in src dir'
 	@echo 'make no-package          remove a single package from src dir'
 	@echo 'make yes-all             install all packages in src dir'
@@ -61,9 +61,9 @@
 	@echo 'make no-user             remove all user packages'
 	@echo 'make no-lib              remove all packages with external libs'
 	@echo ''
-	@echo 'make package-update      replace src files with package files'
+	@echo 'make package-update (pu) replace src files with updated package files'
 	@echo 'make package-overwrite   replace package files with src files'
-	@echo 'make package-diff        diff src files against package files'
+	@echo 'make package-diff (pd)   diff src files against package files'
 	@echo ''
 	@echo 'make machine             build LAMMPS where machine is one of:'
 	@echo ''
@@ -108,18 +108,18 @@
 # Create a tarball of src dir and packages
 
 tar:
-	@cd STUBS; make clean
+	@cd STUBS; $(MAKE) clean
 	@cd ..; tar cvzf src/$(ROOT)_src.tar.gz \
 	  src/Make* src/Package.sh src/MAKE src/*.cpp src/*.h src/STUBS \
 	  $(patsubst %,src/%,$(PACKAGEUC)) $(patsubst %,src/%,$(PACKUSERUC)) \
           --exclude=*/.svn
-	@cd STUBS; make
+	@cd STUBS; $(MAKE)
 	@echo "Created $(ROOT)_src.tar.gz"
 
 # Make MPI STUBS library
 
 stubs:
-	@cd STUBS; make clean; make
+	@cd STUBS; $(MAKE) clean; $(MAKE)
 
 # Create Makefile.lib, Makefile.shlib, and Makefile.list
 
@@ -147,21 +147,21 @@
 	@echo ''
 	@echo 'User-contributed packages:' $(PACKUSER)
 	@echo ''
-	@echo 'make package             list available packages'
-	@echo 'make package-status      status of all packages'
-	@echo 'make yes-package         install a single package in src dir'
-	@echo 'make no-package          remove a single package from src dir'
-	@echo 'make yes-all             install all packages in src dir'
-	@echo 'make no-all              remove all packages from src dir'
-	@echo 'make yes-standard        install all standard packages'
-	@echo 'make no-standard         remove all standard packages'
-	@echo 'make yes-user            install all user packages'
-	@echo 'make no-user             remove all user packages'
-	@echo 'make no-lib              remove all packages with external libs'
-	@echo ''
-	@echo 'make package-update      replace src files with package files'
-	@echo 'make package-overwrite   replace package files with src files'
-	@echo 'make package-diff        diff src files against package file'
+	@echo 'make package              list available packages'
+	@echo 'make package-status (ps)  status of all packages'
+	@echo 'make yes-package          install a single package in src dir'
+	@echo 'make no-package           remove a single package from src dir'
+	@echo 'make yes-all              install all packages in src dir'
+	@echo 'make no-all               remove all packages from src dir'
+	@echo 'make yes-standard         install all standard packages'
+	@echo 'make no-standard          remove all standard packages'
+	@echo 'make yes-user             install all user packages'
+	@echo 'make no-user              remove all user packages'
+	@echo 'make no-lib               remove all packages with external libs'
+	@echo ''
+	@echo 'make package-update (pu)  replace src files with package files'
+	@echo 'make package-overwrite    replace package files with src files'
+	@echo 'make package-diff (pd)    diff src files against package file'
 
 yes-all:
 	@for p in $(PACKALL); do $(MAKE) yes-$$p; done
@@ -219,12 +219,12 @@
 # overwrite = overwrite package files with newer src files
 # diff = show differences between src and package files
 
-package-status:
+package-status ps:
 	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p status; done
 	@echo ''
 	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p status; done
 
-package-update:
+package-update pu:
 	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p update; done
 	@echo ''
 	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p update; done
@@ -234,7 +234,7 @@
 	@echo ''
 	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p overwrite; done
 
-package-diff:
+package-diff pd:
 	@for p in $(PACKAGEUC); do $(SHELL) Package.sh $$p diff; done
 	@echo ''
 	@for p in $(PACKUSERUC); do $(SHELL) Package.sh $$p diff; done

=== tools/phonon/Makefile ===
.SUFFIXES : .o .cpp
# compiler and flags
CC     = g++ -Wno-unused-result
LINK   = $(CC) -static
CFLAGS = -O3 $(DEBUG) $(UFLAG)
#
OFLAGS = -O3 $(DEBUG)
INC    = $(LPKINC) $(TCINC) $(SPGINC)
LIB    = $(LPKLIB) $(TCLIB) $(SPGLIB)
#
# cLapack library needed
LPKINC = -I/opt/clapack/3.2.1/include
LPKLIB = -L/opt/clapack/3.2.1/lib -lclapack -lblas -lf2c #-lm
#
# Tricubic library needed
TCINC = -I/opt/tricubic/1.0/include
TCLIB = -L/opt/tricubic/1.0/lib -ltricubic
#
# spglib 0.7.1, used to get the irreducible q-points
# if UFLAG is not set, spglib won't be used.
UFLAG  = -DUseSPG
SPGINC = -I/opt/spglib/0.7.1/include
SPGLIB = -L/opt/spglib/0.7.1/lib -lsymspg
# if spglib > 0.7.1 is used, please 
# 1) modify file phonon.cpp, instruction can be found by searching 0.7.1
# 2) uncomment the following two lines
#SPGINC = -I/opt/spglib/1.1.2/include
#SPGLIB = -L/opt/spglib/1.1.2/lib -lsymspg

# Debug flags
#DEBUG = -g -DDEBUG
#====================================================================
ROOT   = phana
# executable name
EXE    = $(ROOT)
#====================================================================
# source and rules
SRC = $(wildcard *.cpp)
OBJ = $(SRC:.cpp=.o)

#====================================================================
all:  ${EXE}

${EXE}: $(OBJ)
	$(LINK) $(OFLAGS) $(OBJ) $(LIB) -o $@

clean: 
	rm -f *.o *~ *.mod ${EXE}

tar:
	rm -f ${ROOT}.tar; tar -czvf ${ROOT}.tar.gz *.cpp  *.h Makefile README

ver:
	@echo "#define VERSION `svn info|grep '^Revision'|cut -d: -f2`" > version.h

#====================================================================
.f.o:
	$(FC) $(FFLAGS) $(FREE) $(MPI) ${INC} -c $<
.f90.o:
	$(FC) $(FFLAGS) $(FREE) $(MPI) ${INC} -c $<
.c.o:
	$(CC) $(CFLAGS) -c $<
.cpp.o:
	$(CC) $(CFLAGS) $(INC) -c $<

=== debian/changelog ===
lammps (0~20140523.gite5e877d-1) unstable; urgency=medium

  * [4c132dc] Grab source from GitHub page.
  * [7811c49] Move mpi-default-bin to Depends.
  * [4bd2ecb] Imported Upstream version 0~20140523.gite5e877d
  * [7f4e9a8] Remove colloid autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sat, 24 May 2014 19:03:51 +0200

lammps (0~20140415.git42bb280-2) unstable; urgency=medium

  * [eff3471] Update/fix autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Sun, 18 May 2014 11:30:46 +0200

lammps (0~20140415.git42bb280-1) unstable; urgency=medium

  * [f2930e3] Imported Upstream version 0~20140415.git42bb280
  * [b05b302] Remove patch, applied by upstream.
  * [12f95b6] Fix autotest.
  * [cca8000] Replace deprecated MPI-flag in debian/rules.

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Apr 2014 19:23:18 +0200

lammps (0~20140212.git32a5cd0-4) unstable; urgency=medium

  * [db83dbb] Fix autotest (MPI error).

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 21:49:51 +0100

lammps (0~20140212.git32a5cd0-3) unstable; urgency=medium

  * [842e614] Fix autotest.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Feb 2014 09:42:10 +0100

lammps (0~20140212.git32a5cd0-2) unstable; urgency=medium

  * [9fad448] Fix FTBFS on arch-only builds.

 -- Anton Gladky <gladk@debian.org>  Fri, 14 Feb 2014 07:39:31 +0100

lammps (0~20140212.git32a5cd0-1) unstable; urgency=medium

  * [5127b33] Imported Upstream version 0~20140212.git32a5cd0
  * [9c47579] Refresh patch.
  * [b21f32c] Set Standards-Version: 3.9.5. No changes.
  * [249a3f2] Set canonical VCS-fields.
  * [85cb066] Add autotests.
  * [bf2b96e] Remove executable bit in examples.

 -- Anton Gladky <gladk@debian.org>  Thu, 13 Feb 2014 22:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,19 @@
 Uploaders:
  Anton Gladky <gladk@debian.org>
 Homepage: http://lammps.sandia.gov/
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/git/debian-science/packages/lammps.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/lammps.git
+Standards-Version: 3.9.5
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/lammps.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lammps.git
+XS-Testsuite: autopkgtest
 
 Package: lammps
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ mpi-default-bin
 Recommends:
- lammps-doc,
- mpi-default-bin
+ lammps-doc
 Description: Molecular Dynamics Simulator
  LAMMPS is a classical molecular dynamics code, and an acronym for Large-scale
  Atomic/Molecular Massively Parallel Simulator.

=== debian/rules ===
#!/usr/bin/make -f

export OMPI_MCA_orte_rsh_agent=/bin/false                #workaround to start MPI-applications in chroot
export NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))

disable_auto_test_archs_mpi = hurd-i386 mips mipsel s390 s390x

%:
	dh $@ --parallel

override_dh_auto_clean:
	cd src; make clean-all
	dh_clean

override_dh_auto_build:
	cd src; $(MAKE) -j$(NUMJOBS) yes-all; $(MAKE) -j$(NUMJOBS) no-lib; $(MAKE) -j$(NUMJOBS) openmpi
	mv src/lmp_openmpi src/lammps

override_dh_auto_test:
	mkdir test; cp examples/crack/* test/
	cd test; ./../src/lammps < in.crack
	rm -rf test
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test; cp examples/crack/* test/
	cd test; mpirun -np 2 ./../src/lammps < in.crack
	rm -rf test
endif

override_dh_fixperms-indep:
	dh_fixperms -i
	find $(CURDIR)/debian/lammps-doc/usr/share/doc/lammps-doc/examples/USER/ -type f -print -exec chmod 644 {} \;
